local gr	= love.graphics
local te = require 'textEntry'

function love.load()
	love.window.setTitle( 'Text Input' )
	str = 'Press the "t" key to input text.'
	end

function love.update( dt )
	end

function love.draw()
	if showEntry then
		rtn = te:draw( 'Enter name', 400, 300 )
		if rtn then showEntry = false end		-- entry complete
		end
	if rtn then		-- response to completed text entry
		local tb = {'Hi there...', rtn }
		textBox( tb, 400, 300, {1,1,1}, {0,0,0}, 18 )
		end
	gr.print( str, 10, 500 )
	if showX then gr.print('X key activated',350,300) end
	end

function love.keypressed( key )
	showEntry, key = te.trapKey( key, 't' )	-- intercept keys (activate with 't')
	if key == 'escape'	then love.event.quit() end
	if key =='x' then showX = not showX end	-- only if text entry not occuring
	end


